package pl.mimuw.xml.more_sax;

import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;

public class StatsFiltered {
	public static void main(String[] args) {
		if(args.length < 1) {
			System.out.println("Za malo argumentow. Podaj nazwe pliku.");
			return;
		}
		
		try {
			
			XMLReader reader = XMLReaderFactory.createXMLReader();
			UpperCaseFilter filter = new UpperCaseFilter();
			StatsHandler myHandler = new StatsHandler();

			filter.setParent(reader);
			filter.setContentHandler(myHandler);

			filter.parse(args[0]);
			System.out.println(myHandler);
			
		} catch (Exception e) {
			e.printStackTrace();
		}		
	}
}
