package pl.mimuw.xml.more_sax;

import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;

public class StatsDirectly {
	public static void main(String[] args) {
		if(args.length < 1) {
			System.out.println("Za malo argumentow. Podaj nazwe pliku.");
			return;
		}
		
		try {
			StatsHandler myHandler = new StatsHandler();
			
			XMLReader reader = XMLReaderFactory.createXMLReader();
			reader.setContentHandler(myHandler);
			reader.parse(args[0]);
			System.out.println(myHandler);
			
		} catch (Exception e) {
			e.printStackTrace();
		}		
	}
}
